GLStencilTableTBO Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Static Public Member Functions | List of all members
GLStencilTableTBO Class Reference

GL TextureBuffer stencil table. More...

`#include <glXFBEvaluator.h>`

## Public Member Functions
| GLStencilTableTBO (Far::StencilTable const *stencilTable)
| GLStencilTableTBO (Far::LimitStencilTable const *limitStencilTable)
| ~GLStencilTableTBO ()
GLuint | GetSizesTexture () const
GLuint | GetOffsetsTexture () const
GLuint | GetIndicesTexture () const
GLuint | GetWeightsTexture () const
GLuint | GetDuWeightsTexture () const
GLuint | GetDvWeightsTexture () const
int | GetNumStencils () const

## Static Public Member Functions
static GLStencilTableTBO * | Create (Far::StencilTable const *stencilTable, void *deviceContext=NULL)
static GLStencilTableTBO * | Create (Far::LimitStencilTable const *limitStencilTable, void *deviceContext=NULL)

## Detailed Description

GL TextureBuffer stencil table.

This class is a GL Texture Buffer representation of Far::StencilTable.

GLSLTransformFeedback consumes this table to apply stencils

Definition at line 52 of file glXFBEvaluator.h.

## Constructor & Destructor Documentation

GLStencilTableTBO | ( | Far::StencilTable const * | stencilTable | ) |
| explicit

GLStencilTableTBO | ( | Far::LimitStencilTable const * | limitStencilTable | ) |
| explicit

~GLStencilTableTBO | ( |  | ) |

## Member Function Documentation

static GLStencilTableTBO* Create | ( | Far::StencilTable const * | stencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inlinestatic

Definition at line 54 of file glXFBEvaluator.h.

static GLStencilTableTBO* Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inlinestatic

Definition at line 60 of file glXFBEvaluator.h.

GLuint GetDuWeightsTexture | ( |  | ) | const
| inline

Definition at line 76 of file glXFBEvaluator.h.

GLuint GetDvWeightsTexture | ( |  | ) | const
| inline

Definition at line 77 of file glXFBEvaluator.h.

GLuint GetIndicesTexture | ( |  | ) | const
| inline

Definition at line 74 of file glXFBEvaluator.h.

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 78 of file glXFBEvaluator.h.

GLuint GetOffsetsTexture | ( |  | ) | const
| inline

Definition at line 73 of file glXFBEvaluator.h.

GLuint GetSizesTexture | ( |  | ) | const
| inline

Definition at line 72 of file glXFBEvaluator.h.

GLuint GetWeightsTexture | ( |  | ) | const
| inline

Definition at line 75 of file glXFBEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/glXFBEvaluator.h